Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
Developer
Posts: 20
Registered: ‎01-29-2010
My Device: 8320
My Carrier: -
Accepted Solution

New eclipse plugin and Blackberry SDK 4.5.0

I am trying to use 4.5.0 SDK with new Eclipse plugin. I am adding its via Preferences/Java/Installed JREs/Add. It is adding successfully after I've created *.ee in it. But on packaging the project it is returning " Error!: Missing stack map at label:" . If I use 5.0 SDK than - there is not any problems with packaging.

BlackBerry Development Advisor
Posts: 137
Registered: ‎01-19-2010
My Device: BlackBerry Z10
My Carrier: AT&T

Re: New eclipse plugin and Blackberry SDK 4.5.0

Hi there!  You should not have had to create your own .ee file in the 4.5 SDK, that is weird.  When you upgraded to the new BlackBerry Java Plug-in, did you also upgrade and install the latest 4.5 SDK?

 

Also, where does that error message appear?  In a dialog box?

 

Thanks!

Ken Wallis - Senior Product Manager, WebWorks and Android Runtime
@ken_wallis
Highlighted
Developer
Posts: 20
Registered: ‎01-29-2010
My Device: 8320
My Carrier: -

Re: New eclipse plugin and Blackberry SDK 4.5.0

That error message is appeared in console log.

 

About installing latest blackberry 4.5.0 sdk via blackberry eclipse update site - it fails with next details:

 

Cannot complete the install because one or more required items could not be found.
  Software being installed: BlackBerry Component Pack 4.5.0 4.5.0.16 (net.rim.eide.feature.componentpack4.5.0.feature.group 4.5.0.16)
  Missing requirement: BlackBerry JDE Plug-in for Eclipse 1.0.0.67 (net.rim.eide 1.0.0.67) requires 'bundle org.eclipse.ui [3.4.0,3.5.0)' but it could not be found
  Cannot satisfy dependency:
    From: BlackBerry JDE Component Package 4.5.0 4.5.0.16 (net.rim.eide.componentpack4.5.0 4.5.0.16)
    To: bundle net.rim.eide 0.0.0
  Cannot satisfy dependency:
    From: BlackBerry Component Pack 4.5.0 4.5.0.16 (net.rim.eide.feature.componentpack4.5.0.feature.group 4.5.0.16)
    To: net.rim.eide.componentpack4.5.0 [4.5.0.16]

Developer
Posts: 77
Registered: ‎11-03-2009
My Device: 9810 Torch
My Carrier: VIPnet

Re: New eclipse plugin and Blackberry SDK 4.5.0

It seems that you have not downloaded and installed the latest (and right) Eclipse package from BlackBerry.  On their site you might find more info about it.

Developer
Posts: 20
Registered: ‎01-29-2010
My Device: 8320
My Carrier: -

Re: New eclipse plugin and Blackberry SDK 4.5.0

No, i have installed exactly latest version Eclipse plugin on latest Eclipse Pulsar and also tried it on previous Eclipse Pulsar version and had the same result.

Maybe problem is in several eclipses with various bb plugins on them but I don't think it could be so.

BlackBerry Development Advisor
Posts: 137
Registered: ‎01-19-2010
My Device: BlackBerry Z10
My Carrier: AT&T

Re: New eclipse plugin and Blackberry SDK 4.5.0

Can you please confirm that you are using the following URL for the update site?

 

http://www.blackberry.com/go/eclipseUpdate/3.5/java

 

Thanks!

Ken Wallis - Senior Product Manager, WebWorks and Android Runtime
@ken_wallis
Developer
Posts: 20
Registered: ‎01-29-2010
My Device: 8320
My Carrier: -

Re: New eclipse plugin and Blackberry SDK 4.5.0

Thanks! I have used previous update site link.

Developer
Posts: 155
Registered: ‎01-22-2010
My Device: PlayBook -> 9900, 9810, 9800, 9700,9000, 8800, 8700...
My Carrier: AT&T

Re: New eclipse plugin and Blackberry SDK 4.5.0

It's unfortunate that the RIM site still points to the incorrect download location:

 

http://na.blackberry.com/eng/developers/javaappdev/eclipseplug_updatesite.jsp

 

That's probably the source of this confusion.

 



Try out BBSSH, a free Blackberry SSH client.
  • If you like my post, please let me know by Liking it!
  • If my post solved your problem please click on the Accept as Solution button.

BlackBerry Development Advisor
Posts: 137
Registered: ‎01-19-2010
My Device: BlackBerry Z10
My Carrier: AT&T

Re: New eclipse plugin and Blackberry SDK 4.5.0

Hi Marc.  Are you accessing this page from a bookmark?  With the recent launch of the 1.1 release version of the BlackBerry Java Plug-in, our developer zone site was reconfigured a bit.  I quickly went through the pages and I could not find a reference to the old update site other than on the Previous Version page.

 

If you did not go through a bookmark, please let me know where you found this link and I'll look into getting that fixed ASAP.

 

Thanks for bringing this up; we need to make sure the site makes sense. Smiley Happy

Ken Wallis - Senior Product Manager, WebWorks and Android Runtime
@ken_wallis
Developer
Posts: 155
Registered: ‎01-22-2010
My Device: PlayBook -> 9900, 9810, 9800, 9700,9000, 8800, 8700...
My Carrier: AT&T

Re: New eclipse plugin and Blackberry SDK 4.5.0

It turned up in a Google search.  Unfortunately I can't recall the exact search I used, but the following also turns it up at around result number 6:

 

http://www.google.com/search?hl=en&q=blackberry+eclipse+plugin+add+version&aq=f&aqi=&aql=&oq=&gs_rfa...

 

This search actually brings it up to the top, as a sub-link under the main link:

http://www.google.com/search?hl=en&q=blackberry+eclipse+plugin&aq=f&aqi=g8g-m1&aql=&oq=&gs_rfai=

 

I think the second one, at least, can be controlled via sitemap.

 

Perhaps the best option would be to make that page iself into a redirect?

 



Try out BBSSH, a free Blackberry SSH client.
  • If you like my post, please let me know by Liking it!
  • If my post solved your problem please click on the Accept as Solution button.